A simple class for representing AttributeTypes used only by the ObjectClass class.

Users should never instantiate this class. It represents an attribute internal to an ObjectClass. If PHP supported inner-classes and variable permissions, this would be interior to class ObjectClass and flagged private. The reason this class is used and not the "real" class AttributeType is because this class supports the notion of a "source" objectClass, meaning that it keeps track of which objectClass originally specified it. This class is therefore used by the class ObjectClass to determine inheritance.

package | phpLDAPadmin
subpackage | Schema

### Methods

## Creates a new ObjectClass_ObjectClassAttribute with specified name and source objectClass.

    __construct(string $name, string $source)

### Parameters

#### $name

`string`

the name of the new attribute.

#### $source

`string`

the name of the ObjectClass which specifies this attribute.

## getName()

    getName($lower)

### Parameters

#### $lower

## getSource()

    getSource()

### Properties

## $name

    $name

## $source

    $source